/////////////////////////////////////////////////////////////////////////////
// Name:        mydblist.h (generated and maintained by wxWorkshop's RAD)
// Purpose:     
// Author:      
// Modified by:
// Created:     02/18/01 14:38:35
// RCS-ID:      $ Id$
// Copyright:   (c) 
// Licence:   	
/////////////////////////////////////////////////////////////////////////////

#ifndef __MYDBLIST_G__
#define __MYDBLIST_G__

#include "wx/wx.h"
#include "wx/wspp/all.h"

// %%INFO-{
// { TEMPL = "wxDbListCtrl for C++ (requires WSPP)" WND_RES = "" MENU_RES = "" IMP_FILE = "mydblist.cpp" DECL_FILE = "mydblist.h" CLASS = "MyDbList" RES_FILE = "demo.xrc" }
// %%INFO-}

class MyDbList : public wxDbListCtrl
{
public:
	MyDbList();
	~MyDbList();

	// %%EVT_DECLS-{
	void OnInitDialog( wxInitDialogEvent& event );
	void OnRightDown( wxMouseEvent& event );
	// %%EVT_DECLS-}	

	// %%GETTER_DECLS-{
	// %%GETTER_DECLS-}

	// %%SETTER_DECLS-{
	// %%SETTER_DECLS-}
	
	DECLARE_EVENT_TABLE()
	DECLARE_DYNAMIC_CLASS( MyDbList )	

protected:
	void ExchangeValues( bool toControls );
	void DoInit();	

protected:
	// %%MEMBER_DECLS-{
	// %%MEMBER_DECLS-}

	// %%CTL_MEMBER_DECLS-{
	// %%CTL_MEMBER_DECLS-}
};

#endif // __MYDBLIST_G__
